import { Controller } from '@hotwired/stimulus';

export default class extends Controller {
  static targets = ['submitButton', 'toSelect'];

  connect() {
    this.toSelectTarget.addEventListener('valueChanged', this.updateButtonVisibility.bind(this));
  }

  disconnect() {
    this.toSelectTarget.removeEventListener('valueChanged', this.updateButtonVisibility.bind(this));
  }

  addRadioListeners() {}

  removeRadioListeners() {}

  updateButtonVisibility() {
    const shouldShowButton = this.toSelectTarget.value.length > 0;

    this.submitButtonTarget.classList.toggle('hidden', !shouldShowButton);
  }
}
