# frozen_string_literal: true

module SpiritHub
  class Operation < ApplicationRecord
    field :title, type: String

    after_save :updated_tagset_operation_title

    def updated_tagset_operation_title
      return unless saved_change_to_attribute?(:title)

      Tagset.where(operation_id: id).each do |tagset|
        tagset.update_operation_title
        tagset.save if tagset.changed?
      end
    end
  end
end
