# frozen_string_literal: true

User.class_eval do
  def display_option
    @display_option ||= SpiritHub::DisplayOption.find_by(user_id: id) || SpiritHub::DisplayOption.create(user_id: id)
  end

  def dashboard_counts
    {
      to_categorize: Tagset.where(:parent_tagset_ids.in => [nil, []], type: 'document', responsible: id).count,
      todo: Tagset.where(type: 'document', :parent_tagset_ids.ne => [], :percent.ne => 100).count,
      shared: Tagset.where(type: 'document', labels: 'hubdoc', :informed.nin => [nil, []]).count
    }
  end
end
