# frozen_string_literal: true

Array.wrap(command_options).map do |factory_options|
  Rails.logger.info "running factory_bot with #{factory_options}"
  factory_method = factory_options.shift
  begin
    logger.debug "running #{factory_method}, #{factory_options}"
    CypressOnRails::SmartFactoryWrapper.public_send(factory_method, *factory_options)
  rescue StandardError => e
    Rails.logger.error "#{e.class}: #{e.message}"
    Rails.logger.error e.backtrace.join("\n")
    logger.error e.record.inspect.to_s if e.is_a?(::ActiveRecord::RecordInvalid)
    raise e
  end
end
