import { Given, When, Then } from '@badeball/cypress-cucumber-preprocessor';

let directory_id;
let tagset_ids = [];
let sub_tagset_ids = [];

Given('There is one dicrectory with other directories and docs', () => {
  cy.appFactories([['create_list', 'tagset_doc', 2, 'with_informed', 'with_file']]).then(records => {
    records[0].forEach(record => {
      tagset_ids.push(record.id);
    });
  });

  cy.appFactories([['create', 'tagset_doc']]).then(records => {
    tagset_ids.push(records[0].id);
  });

  cy.appFactories([['create_list', 'tagset_doc', 2, 'with_informed']]).then(records => {
    records[0].forEach(record => {
      sub_tagset_ids.push(record.id);
    });
  });

  cy.appFactories([['create', 'tagset_directory', { responsible: '1', tagset_ids: sub_tagset_ids }]]).then(records => {
    tagset_ids.push(records[0].id);
  });

  cy.appFactories([['create', 'tagset_directory', 'with_logs', { responsible: '1', id: '1', tagset_ids: tagset_ids }]]).then(records => {
    directory_id = records[0].id;
  });
});

When('I visit the dicrectory url', () => {
  cy.visit(`/spirit_hub/directories/${directory_id}/index`);
});
