import { Given, When, Then } from '@badeball/cypress-cucumber-preprocessor';

Given('There is one tagset to categorize with all columns', () => {
  cy.appFactories([['create', 'tagset_doc', 'with_informed', 'with_file', { responsible: '1', tagset_ids: [] }]]);
});

Then('I should see the right columns', () => {
  cy.get('#model_table td').eq(3).contains('Doc Title 1');
  cy.get('#model_table td').eq(4).contains('298.15 Ko');
  cy.get('#model_table td').eq(5).contains(new Date().toLocaleDateString('fr-FR'));
  cy.get('#model_table td').eq(6).find('div').should('exist');
  cy.get('#model_table td').eq(7).find('img').should('exist');
  cy.get('#model_table td').eq(8).contains('À traiter');
  cy.get('#model_table td').eq(9).find('a').should('exist');
});

Given('There is some shared docs', () => {
  cy.appFactories([['create_list', 'user', 3]]).then(records => {
    const user_ids = records[0].map(record => record.id);

    cy.appFactories([['create_list', 'tagset_doc', 5, { responsible: '1', informed: user_ids }]]);
  });
});

Given('There is a lot of shared docs', () => {
  cy.appFactories([['create_list', 'user', 3]]).then(records => {
    const user_ids = records[0].map(record => record.id);
    cy.appFactories([['create_list', 'tagset_doc', 20, { responsible: '1', informed: user_ids }]]);
  });
});
