import { Given, When, Then } from '@badeball/cypress-cucumber-preprocessor';

Given('There is one tagset todo with all columns', () => {
  cy.appFactories([['create', 'tagset_doc', 'with_informed', 'with_file', { responsible: '1', parent_tagset_ids: ['a'], percent: 20 }]]);
});

Then('I should see the right columns', () => {
  cy.get('#model_table td').eq(3).contains('Doc Title 1');
  cy.get('#model_table td').eq(4).contains('298.15 Ko');
  cy.get('#model_table td').eq(5).contains(new Date().toLocaleDateString('fr-FR'));
  cy.get('#model_table td').eq(6).find('div').should('exist');
  cy.get('#model_table td').eq(7).find('img').should('exist');
  cy.get('#model_table td').eq(8).contains('À traiter');
  cy.get('#model_table td').eq(9).find('a').should('exist');
});

Given('There is some todos docs', () => {
  cy.appFactories([['create_list', 'tagset_doc', 5, { responsible: '1', parent_tagset_ids: ['a'], percent: 20 }]]);
});

Given('There is a lot of todos docs', () => {
  cy.appFactories([['create_list', 'tagset_doc', 20, { responsible: '1', parent_tagset_ids: ['a'], percent: 20 }]]);
});
