# frozen_string_literal: true

require 'spirit_hub/version'
require 'spirit_hub/engine'
require 'spirit_hub/railtie'
require 'importmap-rails'

module SpiritHub
  class << self
    attr_accessor :configuration
  end

  class Configuration
    attr_accessor :importmap

    def initialize
      @importmap = Importmap::Map.new
    end

    def draw_importmap
      Rails.logger.info 'DEBUG: Drawing importmap'
      config_path = Engine.root.join('config/importmap.rb')
      config_code = File.read(config_path)
      @importmap.draw do
        eval(config_code, binding, config_path.to_s) # rubocop:disable Security/Eval
      end
    end
  end

  def self.init_config
    self.configuration ||= Configuration.new
  end

  def self.configure
    init_config
    yield(configuration)
  end
end

SpiritHub.init_config
